Name:           clive
Version:        2.2.11
Release:        1%{?dist}
Summary:        Video extraction tool for user-uploaded video hosts

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://code.google.com/p/%{name}/
Source0:        http://%{name}.googlecode.com/files/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker) perl(Test::Base) perl(Class::Singleton) perl(Getopt::ArgvFile) perl(Digest::SHA) perl(WWW::Curl)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version)) perl(Term::ReadKey) perl(BerkeleyDB) perl(Digest::SHA) perl(Class::Singleton) perl(Getopt::ArgvFile)

%description
clive is a video extraction tool for user-uploaded video hosts such as Youtube,
Google Video, Dailymotion, Guba, Metacafe and Sevenload.
It can be chained with 3rd party tools for subsequent video
re-encoding and and playing.

%prep
%setup -q


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
export NO_INTERNET=1
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README examples/config
%{_bindir}/%{name}
%{perl_vendorlib}/*
%{_mandir}/man1/%{name}.1.gz


%changelog
* Sat Apr 17 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 2.2.11-1
- Update to 2.2.11
* Mon Mar 29 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 2.2.10-1
- Update to 2.2.10
- Now using NO_INTERNET env var for tests
* Thu Feb 18 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 2.2.9-1
- Update to 2.2.9
* Fri Dec 18 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 2.2.8-1
- Update to 2.2.8
* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 2.2.7-2
- rebuild against perl 5.10.1
* Thu Oct  1 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 2.2.7-1
- Update to 2.2.7
* Sat Sep 19 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 2.2.6-1
- Update to 2.2.6
* Sun Aug 16 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 2.2.5-1
- Update to 2.2.5
* Sat Aug  8 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 2.2.4-2
- Add perl(Getopt::ArgvFile) as a Require
* Mon Aug  3 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 2.2.4-1
- Update to 2.2.4
- Add perl-Class-Singleton as an explicit require
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
* Sat Jul 11 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 2.2.2-1
- Rebuild for 2.2.2
- Now using Makefile.PL install type
* Mon Jun 22 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 2.2.1-1
- Rebuild for 2.2.1
* Tue May 26 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 2.1.14-1
- Rebuild for 2.1.14
* Sat May  9 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 2.1.12-1
- Rebuild for 2.1.12
* Wed May  6 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 2.1.11-1
- Rebuild for 2.1.11
* Sat Apr 18 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 2.1.10-2
- Add explicit dependencies
* Sat Apr  4 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 2.1.10-1
- Rebuild for 2.1.10
* Sat Mar 28 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 2.1.9-1
- Rebuild for 2.1.9
* Mon Mar 16 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 2.1.7-1
- Rebuild for 2.1.7
- Add Term::ReadKey explicit require
* Fri Feb 27 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 2.1.6-1
- Rebuild for 2.1.6
- Makefile usage
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Wed Feb  4 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 2.1.4-1
- Rebuild for 2.1.4
* Thu Jan 15 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 2.1.3-1
- Rebuild for 2.1.3
- License update
* Wed Dec 31 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 2.1.2-1
- Rebuild for 2.1.2
- URLs update
* Wed Dec  3 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 2.1.0-1
- Rebuild for 2.1.0
* Sun Nov  2 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 1.0.2-1
- Rebuild for 1.0.2
* Wed Jul 30 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.20-1
- rebuild for 0.4.20
- licence is now GPLv3+
* Wed Jul 23 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.19-1
- rebuild for 0.4.19
* Wed Jul 16 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.18-1
- rebuild for 0.4.18
* Sun Jun 29 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.17-1
- rebuild for 0.4.17
* Fri Jun 27 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.16-3
- non-macro usage for commands
* Wed Jun 25 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.16-2
- Licence updated
- smp_mflags removed
* Sat Jun 21 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.16-1
- Rebuild for 0.4.16 version
* Tue Jun 10 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.14-3
- add sed to use python_sitelib for Makefile
* Mon Jun  9 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.14-2
- Removed ffmpeg dependancy
* Sun Jun  8 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.4.14-1
- Initial build

